Skip to main content
PATCH
Update Queue

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Queue ID

Pattern: ^[1-9]\d*$

Body

application/json
name
string
number
Required string length: 2 - 9
Pattern: ^[0-9]*$
branchId
number
recording
boolean
timeout
number
autoLogout
Available options:
0
agentPickup
Available options:
0
nobodyHome
boolean
noFreeMember
boolean
notifyAbandoned
boolean
notifyAbandonedEmail
string<email>
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
timeoutDestinations
object[]
queueFullDestinations
object[]
noAvailableAgentsDestinations
object[]
allAgentsBusyDestinations
object[]
maxLength
number
Required range: x <= 50Must be a multiple of 5
ringStrategy
enum<string>
Available options:
RINGALL,
RRMEMORY,
RANDOM,
LINEAR,
FEWESTCALLS,
LEASTRECENT

Response

200 - application/json

Updated queue

id
number
required

Queue ID

name
string
required

Queue name

tenantId
number
required

Tenant ID

number
string | null

Queue number

branch
object | null

Owning branch

{key}
any